Error
A valid request URL is required to generate request examples[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"source_type": "text",
"source_url": "<string>",
"content_hash": "<string>",
"status": "pending",
"error_message": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]API Reference
List sources in a collection
Returns sources for a given collection. Visibility-scoped.
GET
/
shared-knowledge
/
sources
Error
A valid request URL is required to generate request examples[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"source_type": "text",
"source_url": "<string>",
"content_hash": "<string>",
"status": "pending",
"error_message": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Collection ID to list sources from
Response
Source list
Available options:
text, markdown, web_page Available options:
pending, active, error, archived